#pragma once

class CGpibContec
{
private:
	long m_DeviceAddress;										// 機器アドレス

public:
	DWORD m_MyAddress;											// マイアドレス
	CString m_ReceiveData;										// 受信データ

public:
	CGpibContec();
	virtual ~CGpibContec();
	BOOL OpenInterface(DWORD PrimaryAddress);
	BOOL CloseInterface();
	BOOL SendMsg(CString SendData);
	BOOL ReceiveMsg(DWORD Timeout);
	BOOL SendQueryMsg(CString SendData, DWORD Timeout);
};
